### Constructor

# PapersView UndoContext new

#### Declaration [src]

    PpsUndoContext*
    pps_undo_context_new (
      PpsDocumentModel* document_model
    )

#### Description

No description available.

#### Parameters

`document_model`

  Type: `PpsDocumentModel`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `PpsUndoContext`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.